// --- [eeprom.c ] ------------------------------------------------------------

#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdlib.h>

// Schreibt ein Byte an die angegebene Adresse
void EEPROM_Write(uint8_t eeprom_adr, uint8_t data)
{

   while (EECR & (1<<EEPE));
//	EEARH = (uint8_t) eeprom_adr >> 8;	// Adresse schreiben
	EEARH = 0;
	EEARL = (uint8_t) eeprom_adr++;
	EEDR =  data;					// Daten schreiben

   cli();
	EECR |= (1<<EEMPE);
	EECR |= (1<<EEPE);
	sei();

}

// Liest ein Byte von der angegebenen Adresse
uint8_t EEPROM_Read(uint8_t eeprom_adr)
{

   while (EECR & (1<<EEPE));
//   EEARH = (uint8_t) eeprom_adr >> 8;	// Adresse schreiben
	EEARH = 0;
	EEARL = (uint8_t) eeprom_adr;

	EECR |= (1<<EERE);						// Eeprom lesen
   return (EEDR);

}

// --- [ eof ] ----------------------------------------------------------------
